Skip to main content

Getting Customer Balances

This endpoint returns a list of your customers' balance per coin, which will be used by Withdrawl Token Generation API. For more information of customer withdrawl steps, please refer to Withdrawl Integration page.

Endpoint

https://app.paycoinly.xyz/v1/withdraw/balance

It is a GET request.

Query Parameters

NameOptionalDefaultDescription
currencyYesUSDvalue in response is calculated in the specified currency. See Currency List for available values.

Headers

{ "x-api-key": "<api key>", "content-type": "application/json" }

The request should include x-api-key in its header. Please check this page to get API key in your Paycoinly dashboard.

Response

Object array, whose syntax is described in the below.

Syntax
{
amount: string;
value: number;
currency: string;
token: {
chainId: number;
symbol: string;
address: string | null;
decimals: number;
}[]

You can see the meaning of each field in the table below.

NameDescription
amountCoin amount in wei (or smallest unit)
valueValue of the coin amount in currency specified as a query parameter
currencyCurrency of value in the response
chainIdChain ID of the coin
symbolSymbol of the coin
addressAddress of the coin or null if it is the native coin of its chain like ETH or BNB
decimalsDecimals of the coin